Subject: Re: [PATCH 17/49] builtin/repack.c: pass "packdir" when removing packs

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 30 Sep 2025 01:21:34 +0200

On Sun, Sep 28, 2025 at 06:08:16PM -0400, Taylor Blau wrote:
> builtin/repack.c defines a static "packdir" to instruct pack-objects on
> where to write any new packfiles. This is also the directory scanned
> when removing any packfiles which were made redundant by the latest
> repack.
> 
> Prepare to move the "existing_packs_remove_redundant" function to its
> own compilation unit by passing in this information as a parameter to
> that function.

I would have expected that we also get rid of that static variable
either in this commit or a follow-up. Is there any reason why you
skipped over this? If so, it would be great to highlight in the commit
message.

Patrick